;;; ============================================================================
;;; ---------------- DvorakJP: ꉹ
;;; ============================================================================

SendDvorakJP_Vowel(Dvorak_key,Prior_Dvorak_key)
{
	ResetKeyChecking()

	if Prior_Dvorak_key = c
		Send,k%Dvorak_key%
	else
		Send,%Dvorak_key%

	return
}


;;; ============================================================================
;;; ---------------- DvorakJP: Diphthong & Hatuon
;;; ============================================================================

SendDvorakJP_Diphthong_and_Hatuon(Dvorak_key,Prior_Dvorak_key)
{
	global Is_PriorHotkey_consonant
	global Is_Youon_h
	global Is_Youon_n
	global Dvorak_Layout

	if Is_PriorHotkey_consonant = 1
	{
		if Dvorak_Layout = 1
		{
			;;; dꉹg
			if Dvorak_key = `;
				Dvorak_key := "ai"
			else
			if Dvorak_key = '
				Dvorak_key := "ann"
		}
		else
		{
			;;; dꉹg
			if Dvorak_key = '
				Dvorak_key := "ai"
			else
			if Dvorak_key = `;
				Dvorak_key := "ann"
		}

		if Dvorak_key = ,
			Dvorak_key := "ou"
		else
		if Dvorak_key = .
			Dvorak_key := "ei"
		else
		if Dvorak_key = q
			Dvorak_key := "onn"
		else
		if Dvorak_key = j
			Dvorak_key := "enn"
		else
		if Dvorak_key = k
			Dvorak_key := "unn"
		else
		if Dvorak_key = x
			Dvorak_key := "inn"


		ResetKeyChecking()
	}
	else
	{
		Is_Youon_n := 0
		Is_Youon_h := 0

		;; q
		if Dvorak_key in q,j,k,x
		{
			Is_PriorHotkey_consonant := 1
		}

		;; h O[v
		if Dvorak_key in q,j,x
		{
			Is_Youon_h := 1
		}
	}



	if Prior_Dvorak_key = c
		Send,k%Dvorak_key%
	else
		Send,%Dvorak_key%


	return
}



;;; ============================================================================
;;; ---------------- DvorakJP: Consonant
;;; ============================================================================


SendDvorakJP_Consonant(Dvorak_key,Prior_Dvorak_key)
{
	global Is_PriorHotkey_consonant
	global Is_Youon_h
	global Is_Youon_n

	Is_PriorHotkey_consonant := 1


	if Dvorak_key = c
	{
		Dvorak_key = 

		if Prior_Dvorak_key = c
			Dvorak_key = k

		Is_Youon_n := 1
	}
	else
	if Dvorak_key = h
	{
		if Is_Youon_h = 1 ; Xg h gpO[v
		{
			Dvorak_key = y

			Is_Youon_h := 0 
			Is_Youon_n := 0 
		}
		else
		{
			if Prior_Dvorak_key = c
				Dvorak_key = c%Dvorak_key%

			Is_Youon_h := 0
			Is_Youon_n := 1
		}
	}
	else
	if Dvorak_key = n
	{
		if Is_Youon_n = 1
		{
			Dvorak_key = y

			if Prior_Dvorak_key = c
				Dvorak_key = k%Dvorak_key%

			Is_Youon_h := 0 
			Is_Youon_n := 0 
		}
		else
		{
			Is_Youon_h := 1

			if Prior_Dvorak_key = n
			{
				ResetKeyChecking()
			}
		}
	}
	else
	;; h O[v
	if Dvorak_key in p,r,l,s,w,v,z
	{
		Is_Youon_h := 1
		Is_Youon_n := 0
	}
	else ; n O[v
	if Dvorak_key in f,g,c,d,t,b,m
	{
		Is_Youon_h := 0
		Is_Youon_n := 1
	}


	Send,%Dvorak_key%


	return
}

